# Generated by Django 5.1.2 on 2025-01-03 02:48

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("deepeval_plugin", "0004_data_source_id"),
    ]

    operations = [
        migrations.CreateModel(
            name="ContextualRelevancy",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("statements", models.JSONField(null=True)),
                ("verdicts", models.JSONField(null=True)),
                ("score", models.FloatField()),
                ("reason", models.TextField(null=True)),
                ("success", models.BooleanField()),
                ("verbose_logs", models.JSONField(null=True)),
                (
                    "data",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="deepeval_plugin.data",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Contextual Relevancy",
            },
        ),
        migrations.CreateModel(
            name="Faithfulness",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("statements", models.JSONField(default=list)),
                ("verdicts", models.JSONField(default=list)),
                ("score", models.FloatField(default=0.0)),
                ("reason", models.TextField(default="")),
                ("success", models.BooleanField(default=False)),
                ("verbose_logs", models.JSONField(default=list)),
                (
                    "data",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="deepeval_plugin.data",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Hallucination",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("statements", models.JSONField(null=True)),
                ("verdicts", models.JSONField(null=True)),
                ("score", models.FloatField()),
                ("reason", models.TextField(null=True)),
                ("success", models.BooleanField()),
                ("verbose_logs", models.JSONField(null=True)),
                (
                    "data",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="deepeval_plugin.data",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Hallucinations",
            },
        ),
        migrations.CreateModel(
            name="Toxicity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("statements", models.JSONField(null=True)),
                ("verdicts", models.JSONField(null=True)),
                ("score", models.FloatField()),
                ("reason", models.TextField(null=True)),
                ("success", models.BooleanField()),
                ("verbose_logs", models.JSONField(null=True)),
                (
                    "data",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="deepeval_plugin.data",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Toxicity",
            },
        ),
    ]
